# PSF-LoginServer - master - net.psforever.newcodecs.PrefixedVectorCodec
PSF - LoginServer - master - net.psforever.newcodecs.PrefixedVectorCodec
Keywords: PSF LoginServer master net.psforever.newcodecs.PrefixedVectorCodec

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package newcodecs
  Definition Classes
    psforever
- PrefixedVectorCodec
- QuantizedDoubleCodec

c

net.psforever.newcodecs

# PrefixedVectorCodec

###

#### final class PrefixedVectorCodec[A] extends Codec[Vector[A]]

Source
  PrefixedVectorCodec.scala

Linear Supertypes
Codec[Vector[A]], GenCodec[Vector[A], Vector[A]], Decoder[Vector[A]], Encoder[Vector[A]], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PrefixedVectorCodec
2. Codec
3. GenCodec
4. Decoder
5. Encoder
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PrefixedVectorCodec(firstCodec: Codec[A], codec: Codec[A], limit: Option[Int] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def :+:[B](left: Codec[B]): CoproductCodecBuilder[:+:[B, :+:[Vector[A], CNil]], ::[Codec[B], ::[Codec[Vector[A]], HNil]], :+:[B, :+:[Vector[A], CNil]]]
   Definition Classes
     Codec
4.  final def <~[B](codecB: Codec[B])(implicit ev: =:=[Unit, B]): Codec[Vector[A]]
   Definition Classes
     Codec
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def >>~[B](f: (Vector[A]) => Codec[B]): Codec[(Vector[A], B)]
   Definition Classes
     Codec
7.  def asDecoder: Decoder[Vector[A]]
   Definition Classes
     Decoder
8.  def asEncoder: Encoder[Vector[A]]
   Definition Classes
     Encoder
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  final def compact: Codec[Vector[A]]
    Definition Classes
      Codec → GenCodec → Encoder
12.  final def complete: Codec[Vector[A]]
    Definition Classes
      Codec → GenCodec → Decoder
13.  final def consume[B](f: (Vector[A]) => Codec[B])(g: (B) => Vector[A]): Codec[B]
    Definition Classes
      Codec
14.  def contramap[C](f: (C) => Vector[A]): GenCodec[C, Vector[A]]
    Definition Classes
      GenCodec → Encoder
15.  def decode(buffer: BitVector): Attempt[DecodeResult[Vector[A]]]
    Definition Classes
      PrefixedVectorCodec → Decoder
16.  def decodeOnly[AA >: Vector[A]]: Codec[AA]
    Definition Classes
      Codec → Decoder
17.  final def decodeValue(bits: BitVector): Attempt[Vector[A]]
    Definition Classes
      Decoder
18.  final def downcast[B <: Vector[A]](implicit tb: Typeable[B]): Codec[B]
    Definition Classes
      Codec
19.  final def dropLeft[B](codecB: Codec[B])(implicit ev: =:=[Unit, Vector[A]]): Codec[B]
    Definition Classes
      Codec
20.  final def dropRight[B](codecB: Codec[B])(implicit ev: =:=[Unit, B]): Codec[Vector[A]]
    Definition Classes
      Codec
21.  def econtramap[C](f: (C) => Attempt[Vector[A]]): GenCodec[C, Vector[A]]
    Definition Classes
      GenCodec → Encoder
22.  def emap[C](f: (Vector[A]) => Attempt[C]): GenCodec[Vector[A], C]
    Definition Classes
      GenCodec → Decoder
23.  def encode(vector: Vector[A]): Attempt[BitVector]
    Definition Classes
      PrefixedVectorCodec → Encoder
24.  def encodeOnly: Codec[Vector[A]]
    Definition Classes
      Encoder
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
27.  final def exmap[B](f: (Vector[A]) => Attempt[B], g: (B) => Attempt[Vector[A]]): Codec[B]
    Definition Classes
      Codec
28.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
29.  def flatMap[B](f: (Vector[A]) => Decoder[B]): Decoder[B]
    Definition Classes
      Decoder
30.  final def flatZip[B](f: (Vector[A]) => Codec[B]): Codec[(Vector[A], B)]
    Definition Classes
      Codec
31.  final def flattenLeftPairs(implicit f: FlattenLeftPairs[Vector[A]]): Codec[Out]
    Definition Classes
      Codec
32.  final def fuse[AA <: Vector[A], BB >: Vector[A]](implicit ev: =:=[BB, AA]): Codec[BB]
    Definition Classes
      GenCodec
33.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  final def hlist: Codec[::[Vector[A], HNil]]
    Definition Classes
      Codec
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  def map[C](f: (Vector[A]) => C): GenCodec[Vector[A], C]
    Definition Classes
      GenCodec → Decoder
38.  final def narrow[B](f: (Vector[A]) => Attempt[B], g: (B) => Vector[A]): Codec[B]
    Definition Classes
      Codec
39.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
40.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
41.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def pairedWith[B](codecB: Codec[B]): Codec[(Vector[A], B)]
    Definition Classes
      Codec
43.  def pcontramap[C](f: (C) => Option[Vector[A]]): GenCodec[C, Vector[A]]
    Definition Classes
      GenCodec → Encoder
44.  def sizeBound: SizeBound
    Definition Classes
      PrefixedVectorCodec → Encoder
45.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
46.  def toField[K]: Codec[FieldType[K, Vector[A]]]
    Definition Classes
      Codec
47.  def toFieldWithContext[K <: Symbol](k: K): Codec[FieldType[K, Vector[A]]]
    Definition Classes
      Codec
48.  def toString(): String
    Definition Classes
      PrefixedVectorCodec → AnyRef → Any
49.  final def unit(zero: Vector[A]): Codec[Unit]
    Definition Classes
      Codec
50.  final def upcast[B >: Vector[A]](implicit ta: Typeable[Vector[A]]): Codec[B]
    Definition Classes
      Codec
51.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
52.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
53.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
54.  final def widen[B](f: (Vector[A]) => B, g: (B) => Attempt[Vector[A]]): Codec[B]
    Definition Classes
      Codec
55.  final def withContext(context: String): Codec[Vector[A]]
    Definition Classes
      Codec
56.  final def withToString(str: => String): Codec[Vector[A]]
    Definition Classes
      Codec
57.  final def xmap[B](f: (Vector[A]) => B, g: (B) => Vector[A]): Codec[B]
    Definition Classes
      Codec
58.  final def ~[B](codecB: Codec[B]): Codec[(Vector[A], B)]
    Definition Classes
      Codec
59.  final def ~>[B](codecB: Codec[B])(implicit ev: =:=[Unit, Vector[A]]): Codec[B]
    Definition Classes
      Codec

### Inherited from Codec[Vector[A]]

### Inherited from GenCodec[Vector[A], Vector[A]]

### Inherited from Decoder[Vector[A]]

### Inherited from Encoder[Vector[A]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped